%define gecko_ver 1.8.1.19
Summary: Evolution RSS Reader
Name: evolution-rss
Version: 0.0.8
Release: 14%{?dist}
Group: Applications/Internet
License: GPLv2 and GPLv2+
Source: http://gnome.eu.org/%{name}-%{version}.tar.gz
Patch0: evolution-rss-0.0.8-empty-desc.patch
Patch1: evolution-rss-0.0.8-norss-popup.patch
Patch2: evolution-rss-0.0.8-norss-enabled.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gnome.eu.org/evo/index.php/Evolution_RSS_Reader_Plugin
Requires: evolution
Requires: gecko-libs = %{gecko_ver}

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

BuildRequires: gettext
BuildRequires: evolution-devel
BuildRequires: evolution-data-server-devel 
BuildRequires: dbus-glib-devel
BuildRequires: gecko-devel = %{gecko_ver}
BuildRequires: perl(XML::Parser)
BuildRequires: libtool

%description
This is an evolution plugin which enables evolution to read rss feeds.

%prep
%setup -q -n evolution-rss-%{version}
%patch0 -p1 -b .empty-fix
%patch1 -p1 -b .norss-popup
%patch2 -p1 -b .norss-enabled

%build
%configure --with-primary-render=gecko --disable-webkit
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR="%{buildroot}" INSTALL="install -p"
find %{buildroot} -name \*\.la -print | xargs rm -f
%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
/sbin/ldconfig

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
# Only the following binary is under GPLv2. Other
# parts are under GPLv2+.
%{_bindir}/evolution-import-rss
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/evolution/*/errors/org-gnome-evolution-rss.error
%{_datadir}/evolution/*/glade/rss-ui.glade
%{_datadir}/evolution/*/images/rss.png
%{_libdir}/evolution/*/plugins/org-gnome-evolution-rss.eplug
%{_libdir}/evolution/*/plugins/org-gnome-evolution-rss.xml
%{_libdir}/evolution/*/plugins/liborg-gnome-evolution-rss.so
%{_libdir}/bonobo/servers/GNOME_Evolution_RSS_*.server
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc FAQ
%doc NEWS
%doc README
%doc TODO

%changelog
* Wed Dec 17 2008 Christopher Aillon <caillon@redhat.com> - 0.0.8-14
- Rebuild against newer gecko

* Wed Nov 12 2008 Christopher Aillon <caillon@redhat.com> - 0.0.8-13
- Rebuild against newer gecko

* Tue Sep 23 2008 Christopher Aillon <caillon@redhat.com> - 0.0.8-12
- Rebuild against newer gecko

* Mon Jul 16 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-11
- Rebuild against newer gecko (1.8.1.19)

* Mon Jul  7 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-10
- Rebuild against newer gecko (1.8.1.15)

* Thu Apr 28 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-9
- Rebuild against newer gecko (1.8.1.14)

* Thu Apr 10 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-8
- Make gecko primary render engine
- Force gecko-libs as required deps

* Thu Mar 28 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-7
- Rebuild against newer gecko

* Thu Mar 26 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-6
- No feeds enabled patch

* Thu Mar 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-5
- Fixed wrong function def in previous patch

* Thu Mar 22 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-4
- Fix for no rss popup

* Thu Mar 22 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-3
- Upstream fix for empty description

* Tue Mar  3 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-2
- Misc cleanups
- Updated to 0.0.8 version

* Tue Feb 19 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.7-8
-Misc cleanups

* Sat Feb 17 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.7-7
- Misc cleanup

* Sat Feb 16 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.7-6
- Drop gecko requirements till xulrunner is fixed

* Tue Feb 12 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.7-5
- buildroot fixes

* Wed Feb 06 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.7-4
- Modified firefox-devel requirement for build

* Wed Jan 30 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.7-1
- Updates and sanitize

* Thu Jan 24 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.7-1
- Fixed rpmlint warnings
- Updated to Fedora Packaging Guidelines

* Thu Nov 22 2007 Lucian Langa <lucilanga@gnome.org> - 0.0.6-1
- Added gconf schemas
- Added evolution-import-rss

* Tue Sep 04 2007 Lucian Langa <lucilanga@gnome.org> - 0.0.5
- Updated installed files

* Mon Apr 23 2007 root <root@mayday> - 0.0.1
- Initial spec file created by autospec ver. 0.8 with rpm 3 compatibility
